{
  "factory": {
    "id": "route-callable-in-object",
    "type": "entaxy.runtime.route",
    "parent": "route-callable",
    "isAbstract": false,
    "displayName": "ROUTE :: CALLABLE",
    "description": "Dynamically created routes that can be called programmatically. For more details see <a target=\"_blank\" href=\"https://docs.entaxy.ru/entaxy-core/${project.version}/core/route_descriptions.html#_route_callable\">Entaxy docs</a>"
  },
  "entaxy.runtime.route": {
  	"targetRouteContainerType": "OBJECT"
  },
  "fields": {
	"globalCallMode": {
      "@TYPEINFO": {
        "values": [
          "NONE"
        ]
	   },
	   "isHidden": true,
       "defaultValue": "NONE"
    },
    "localCallMode": {
      "@TYPEINFO": {
        "type": "enum",
        "values": [
          "SYNC",
          "ASYNC",
          "BOTH"
        ]
      },
      "defaultValue": "SYNC"
    }
  },
  "outputs": {
  }
}
